<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class configIntegraServices {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function find(){
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_PARAMS_CONFIGINTEGRA);
        
        return $query;
    }
    
    public function findIFE($cdindice){
        $params = [
            'CDINDICE'  =>  $cdindice
        ];
        
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_PARAMS_IFE, $params);
        
        if(is_bool($query)){
            $query = [];
        }
        return $query;
    }
    
    
    public function findtipoCusto($cdtipocusto){
        $params = [
            'CDTIPOCUSTO'   =>  $cdtipocusto
    ];
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_TIPY_COST, $params);

        return $query;
    }
    
    public function findGroup($cdgrupoprod){
        $params = [
            'CDGRUPPROD'   =>  $cdgrupoprod
        ];
        
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_TIPY_GROUP, $params);
        
        return $query;
    }
    
    public function findEmpresa(){
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::FIND_EMPRESA);
        
        return $query;
    }
    
    public function findCompany($cdindice){
        $params = [
            'CDEMPRESA' =>  $cdindice
        ];
        
        $query = $this->entityManager->getConnection()->fetchAssoc(Utilities\Query::FIND_COMPANY, $params);
        
        return $query;
    }
    
    public function findClientes(){
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::FIND_CLIENTES);
        
        return $query;
    }
    
    public function findFilialForClients(){
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::FIND_FILIAL_FOR_CLIENTS);
        
        return $query;
    }
    
    public function findFilialAfter($cdfilial){
        $params = [
            'CDFILIAL'  =>  $cdfilial
        ];
        
        $query = $this->entityManager->getConnection()->fetchAssoc(Utilities\Query::FIND_FILIAL_AFTER, $params);
        
        return $query;
    }
    
    public function findFornecedor(){
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::FIND_FORNECEDOR);
        
        return $query;
    }
    
    public function findFilial($cdfilial){
        $params = [
            'CDFILIAL'  =>  $cdfilial
        ];
        
        $query = $this->entityManager->getConnection()->fetchAssoc(Utilities\Query::FIND_FILIAL, $params);
        
        return $query;
    }
    
    public function findOperadorSaga($cdoperador){
        $params = [
            'CDOPERADOR'    =>  $cdoperador
        ];
        
        $query = $this->entityManager->getConnection()->fetchAll(Utilities\Query::FIND_OPER_SAGA, $params);
        
        return $query;
    }
    
    public function findFilialOL($cdfilial, $medcdfilial){
        $params = [
            'CDFILIAL'      =>  $cdfilial,
            'MED_CDFILIAL'  => $medcdfilial
        ];
        
        $query = $this->entityManager->getConnection()->fetchAssoc(Utilities\Query::FIND_FILIAL_OL, $params);
        
        if(is_bool($query)){
            $query = [];
        }
        
        return $query;
    }
    
}

